tbb::task_group Class Reference
Inheritance diagram for tbb::task_group:

## Public Member Functions

template<typename F >
void | run (task_handle< F > &h)
template<typename F >
void | run (const F &f)
template<typename F >
task_group_status | run_and_wait (const F &f)
template<typename F >
task_group_status | run_and_wait (task_handle< F > &h)
Public Member Functions inherited from tbb::internal::task_group_base
| task_group_base (uintptr_t traits=0)
template<typename F >
void | run (task_handle< F > &h)
task_group_status | wait ()
bool | is_canceling ()
void | cancel ()

## Additional Inherited Members

Protected Member Functions inherited from tbb::internal::task_group_base
task & | owner ()
template<typename F >
task_group_status | internal_run_and_wait (F &f)
template<typename F , typename Task >
void | internal_run (F &f)
Protected Attributes inherited from tbb::internal::task_group_base
empty_task * | my_root
task_group_context | my_context

The documentation for this class was generated from the following file:

- task_group.h

Copyright © 2005-2015 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.